import java.awt.Frame;

public class Class173 {

   public String aString2077;
   public String aString2078;
   public int anInt2079;
   String aString2080;
   public String aString2081;
   public byte aByte2082;
   static int anInt2083;


   public static void method3046(Class466 var0, Frame var1, int var2) {
      var0.method7848((byte)1);
      var1.setVisible(false);
      var1.dispose();
   }

   public static int method3047(byte var0) {
      if(260611269 * Class109.anInt1085 == -1) {
         Class109[] var1 = Class69.method1477(-1863083313);

         for(int var2 = 0; var2 < var1.length; ++var2) {
            Class109 var3 = var1[var2];
            if(-2023452977 * var3.anInt1084 > 260611269 * Class109.anInt1085) {
               Class109.anInt1085 = 1174167171 * var3.anInt1084;
            }
         }

         Class109.anInt1085 += -874216947;
      }

      return Class109.anInt1085 * 260611269;
   }
}
